org.apache.axiom.util.stax

## Class XMLStreamWriterWriter

- java.lang.Object
- - java.io.Writer
  - - org.apache.axiom.util.stax.XMLStreamWriterWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class XMLStreamWriterWriter
      extends Writer

  `Writer` implementation that writes data as `XMLStreamConstants.CHARACTERS` events to an `XMLStreamWriter`. Note that this class
  - doesn't buffer the data;
  - ignores calls to `flush()` and `close()`;
  - is not thread-safe (synchronized).
  Any `XMLStreamException` occurring in the underlying `XMLStreamWriter` will be wrapped using `XMLStreamIOException`.

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStreamWriterWriter(javax.xml.stream.XMLStreamWriter writer)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(String str)`
    `void` | `write(String str, int off, int len)`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamWriterWriter

          public XMLStreamWriterWriter(javax.xml.stream.XMLStreamWriter writer)

      Constructor.
      Parameters:
        `writer` - the XML stream writer to write the events to

  - ### Method Detail

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws IOException

      Specified by:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(String str,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(String str)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(int c)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in class `Writer`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `Writer`
      Throws:
        `IOException`

Copyright © The Apache Software Foundation. All Rights Reserved.